//-----------------------------------------------------------------------------
// Title      : prj_ub005_mk3_terminal
//-----------------------------------------------------------------------------
// Funktion   : MK3-Terminal
// Schaltung  : myAVR MK3
//-----------------------------------------------------------------------------
// Prozessor  : ATMega2560
// Takt       : 16 MHz
// Sprache    : C
// Date       : 17.07.2011
// Version    : 1.1
// Autor      : UB
// CompilerOption:  -O0 
//-----------------------------------------------------------------------------
#define F_CPU 16000000
#include <avr/io.h>
#include <UB_MK3_2560/MK3_2560_Terminal.h>
#include <string.h>

//-----------------------------------------------------------------------------
// Hinweis : 
//           mySmartUSB muss auf MODE=COM stehen
//              Status-LEDs : E=0, 1=0, 2=0, 3=1
//
//           zum Brennen    : E=0, 1=0, 2=1, 3=1
//
//           - zum anzeigen aller implementierten Befehle
//             das Wort HELP per RS232 an das MK3 senden
//-----------------------------------------------------------------------------
int main (void) 
{
	CMD_TYP check=NO_CMD;

	// INIT vom Terminal
	// an COM1 mit 115200 Baud
	MK3_INIT_TERMINAL(COM1,B115200);

	// zum Test ein port setzen
	// um die Funktion mit RD_DDRL zu prfen
	DDRL=0x0F;
	PORTL=0x05;

	while(true) 
	{
		// Dauerloop vom Terminal
		check=MK3_TERMINAL_LOOP();

		// zum test wird bei einem
		// unbekannten Kommando
		// das Kommando als Echo
		// ausgegeben
		if(check==CMD_NC) 
		{
			MK3_V24_OUT(COM1,"UNKNWON=",RX_END_CRLF);
			MK3_V24_OUT(COM1,Terminal.rx,RX_END_CRLF);
		}
	}
	return 0;
}

